WelCome

BlackBerry Address Book Synchronizer
Cellica Software Services
http://www.cellica.com


Introduction

  • Introduction

Welcome to BlackBerry Address Book Synchronizer. It will help you to transfer and keep desktop database contents synchronized with your BlackBerry AddressBook. It allows you to synchronize databases like MS Access, MS FoxPro, MySQL, dBase, and any ODBC Compliant Database like Oracle, SQL Server on BlackBerry Contacts. It follows very simple approach. What we did is: we provided you two programs. One works on desktop computer having Microsoft windows and other on BlackBerry device. You just have to use the desktop side program (BlackBerry Address Book Synchronizer) to create desktop database profile. Just run BlackBerry side program to work with Desktop component. BlackBerry Address Book Synchronizer also import BlackBerry Contacts data to desktop as a comma separated file(CSV).

  • Features

1. Overwrite/Adds any database to BlackBerry Contacts or vice versa.
2. For BlackBerry pearl and 8800,Other BlackBerry categories data will be safe while syncing any database with the specific category.
3. Supported Databases: MS Access, MS Excel, MS FoxPro, dBase, Oracle, SQL Server, MySQL and any ODBC-compliant Databases.
4. Keep desktop database synchronized with BlackBerry AddressBook.
5. Transfer data from multiple tables.
6. Import BlackBerry Contacts data to desktop as a Comma Separated Values file (CSV file).
7. Category based data can also be imported (only for Pearl and 8800). 8. BlackBerry Address Book Synchronizer allows to take the Backup of AddressBook and Restore it at anytime.


Desktop DBViewerPlus

  • Startup

Run BlackBerry Address Book Synchronizer from your desktop or from Start->Programs->BlackBerry Address Book Synchronizer ->BlackBerry Address Book Synchronizer, you will see following screen.

Fig: BlackBerry Address Book Synchronizer

  • BlackBerry Address Book Synchronizer Menu

    Fig: BlackBerry Address Book Synchronizer Menu

  • Creating New Profile

Right click in Left Pane or from Profile menu, click New.

Fig: New Profile Creation

  • Profile Type Selection

After selecting New Profile, you will be prompted to New Profile Wizard as shown below.

Fig: Sync Type

From above screen select any one of the following sync type, by default sync type is "Desktop Database Adds BlackBerry Address Book".

  • Desktop Database Adds BlackBerry Address Book :
Select this profile type when you want to transfer your desktop database contents on BlackBerry Contacts after syncing. Every time when sync take place, this profile type will keep your BlackBerry contacts as it is and new data from desktop database will be added to your previous BlackBerry Contacts.
  • Desktop Database Overwrites BlackBerry Address Book :

Select this profile type when you want to transfer your desktop database contents on BlackBerry after syncing. Every time when sync take place, this profile type will delete all the data from your BlackBerry contacts and add complete new data from desktop database to BlackBerry Contacts.

  • BlackBerry Address Book Adds Desktop Database :

Select this profile type when you want to transfer your BlackBerry Contacts data to desktop database after syncing. Every time when sync take place, this profile will keep desktop database contents as it is and new data from BlackBerry contacts will be added to original desktop database.

  • BlackBerry Address Book Overwrites Desktop Database :

Select this profile type when you want to transfer your BlackBerry Contacts data to desktop after syncing.Every time when sync take place, this profile will delete all the data from desktop database and all data from BlackBerry contacts will be added to original desktop database.

  • Do Nothing :

Select this profile type when you just want to create a profile, but do not want to sync right now.

  • Import Address Book Contacts data to desktop as CSV file :

Select this profile type when you want to import all the BlackBerry Contacts data to desktop in a comma separated file. Every time after syncing the data will be available as a ContactDatabase.csv file on application installation path.You need to take a backup of this file manually, because on every sync this file will be overwritten.

Remember, For Sync type "BlackBerry Address Book Adds Desktop Database" and "BlackBerry Address Book Overwrites Desktop Database" Desktop database should not have any constraints/validations. eg. Primary key, Not Null etc.

If you find that, after syncing you have not retained all database contents, use backup restore feature to restore your desktop database contents. BlackBerry Address Book Synchronizer takes backup of desktop database before transferring BlackBerry contents into it.

  • Database Selection & Sync Information

Fig: Database Selection & Sync Information

From above figure, either select "File Based Database" or "ODBC Database".

  • File Based Database

File based database allows you to select database like MS Access (mdb), Excel file (xls),dbase (dbf) files.
Click on browse button and browse to the location where you database file is situated and select one.

  • ODBC Database

Databases compatible to ODBC can be selected using DSNs. Select a DSN from available DSNs of your machine. You can manage these DSNs by clicking on "Config" button.

While selecting database, you may be prompted to enter security authentication like User Name and Password.

Enter profile name of your choice. Select proper BlackBerry user for which you want to create database profile.Please note that you can able to create a only one profile for one BlackBerry user. Finally select sync occasion "Sync On"

By default, BlackBerry Address Book Synchronizer will synchronize your desktop database with BlackBerry at every sync/connection operation.
But, you can override this setting. Select the occasion of sync from Sync On popup and set time, Date/Day of syncing as per your selection. BlackBerry Address Book Synchronizer will synchronize desktop data with BlackBerry on/after the given sync time. It will help you decrease unnecessary data syncing and reduce the time at sync operation. Refer "Profile Configuration" for more information on Sync on.

  • Table Selection/Query Building

After completing database selection, next step is table selection and building a query. Here you need to select a table from selected database. You will see screen below:

Fig: Table Selection and Build Query Dialog

Select a table you want to work. In Query Edit Box which is non editable You will get sql statement for the selected table. To get data from 2 or more tables just Press Ctrl + Mouse Left Click for the tables you want to work. To apply Filter for the selected table(s) use "Filters" button.

  • Applying Filters

In above figure, click on "Filters" button, you will see following filter dialog:

Fig: Filters Dialog

Here, you can apply as many filters as you want. Initially, one filter is shown, by default. Click on "Add" button to have more filters. Select check marks to those filters you want, select field from "Available Fields" popup, select operator from "Filter Operator" popup and click on "Filter Value" edit box and enter value which you want as a filter condition value.

Remember, filter values must be proper as per data type of selected fields.

If you selected numeric field, say ID, then filter value must be numeric, say 35. For character data type filter value must be included in single quotes ('). For date/time fields, filter value must be in #. If you select filter operator IS then filter value must be NULL or NOT NULL. If you select filter operator like then filter values must be a pattern included in single quote.

Here are some examples of filters.

PhoneNO IS NULL
Name IS NOT NULL
name like 'a%' : Name starting with letter a
name = 'John'
amount >= 2000
birthdate = #1/1/1978#
time >= #2:10#
birthdate >= '1-jan-1978'

Note: Using # for filter conditions values may change depending on which database you are using. MS Access, Excel allows to uses # where as Oracle, SQL Server allows to use single quote (') for date filter values.

  • Field Mapping

Fig: Field Mapping Dialog

Here, you can map the custom database fields to BlackBerry Contacts fields,After sync according to this field mapping the data will be transfer to BlackBerry Contacts or vice versa.

This page is basically meant for one to one Field mapping between device and your desktop database fields. The Left hand side contains the BlackBerry Contact standard fields, whereas the right hand side list contains the currently selected database fields. To change the field order, click a field name on the right hand and drag it up or down the list to match the data on the left and mark it as checked as well. It does the proper field mapping. Apply the same procedure for rest of the right hand fields.

After mapping click on "Finish" button to save the mapping in the profile database for further synchronization purpose . If your field mapping is not proper it will display appropriate message.If mapping is proper then the profile will be created successfully.

  • Field Mapping Preview

Click on "Finish" Button to finish new profile creation. After finishing, you will get profile in left pane of BlackBerry Address Book Synchronizer. Click on profile, database content preview will be shown on right pane of BlackBerry Address Book Synchronizer window. This preview is different for different sync type.

If the sync type is "Desktop Database Adds BlackBerry Address Book" or "Desktop Database Overwrites BlackBerry Address Book" or "Do Nothing" then it's look will be as follows.

Fig: Field Mapping Preview in case of Desktop Database Adds/Overwrites BlackBerry Contacts

If the sync type is "BlackBerry Address Book Adds Desktop Database" or "BlackBerry Address Book Overwrites Desktop Database" then it's look will be as follows

Fig: Field Mapping Preview in case of BlackBerry Contacts Adds/Overwrites Desktop Database

If the sync type is "Import BlackBerry Address Book data to desktop as CSV file" the preview will be as follows.

Fig: Field Mapping Preview in case of Import BlackBerry Contacts data to desktop as CSV file

  • Modifying Existing Profile

  • Renaming Profile

Select a Database Profile from left pane of BlackBerry Address Book Synchronizer. Select Profile Name from "Edit"menu OR Select Edit Profile Name from right click menu. You will be prompted to enter profile name. Enter new name and select "Change" button to rename profile.

  • Field Mapping Editing

Select a Database Profile from left pane of BlackBerry Address Book Synchronizer, expand it, and select "Field Mapping & Query" property. right click on "Field Mapping & Query" property, as shown below, and select "Field Editing...", you will get following dialog, as that of in "Table Selection/Query Building" step.

Fig: Field Mapping editing

From above dialog, you can modify table, Query, Filters and Field Mapping.

  • Modifying Sync Properties

Fig: Sync Properties Modification view

Here, you can change sync type. You can switch between "Desktop Database Adds BlackBerry Address Book" or "Desktop Database Overwrites BlackBerry Address Book" or "BlackBerry Address Book Adds Desktop Database" or "BlackBerry Address Book Overwrites Desktop Database" or "Do Nothing" It will change way of data transfer. You can change BlackBerry user for which profile is created. Also you can change the occasion on which sync should take place. Refer "Sync Information" step or "Profile Configuration" for more information on Sync Properties.

  • Deleting Profile

Select a profile which you want to delete, from right pane of BlackBerry Address Book Synchronizer. Right click on it, and select "Delete Profile..." or from toolbar select "Delete Profile"button. You will be confirmed about profile deletion. Deleting profile will also delete backup data taken by BlackBerry Address Book Synchronizer during syncing process.

  • Recovering Lost Data

  • Taking Backup

User need not to take explicit backup of particular database. "Desktop Database Overwrites BlackBerry Contacts" do not have risk of losing desktop data, but for "BlackBerry Contacts Overwrites Desktop Database" profile, there are chances of losing valuable desktop data. While syncing "BlackBerry Contacts Overwrites Desktop Database" profile, BlackBerry Address Book Synchronizer takes backup of desktop data before transferring BlackBerry Contacts data into it. Backup of last four syncing is stored with BlackBerry Address Book Synchronizer. Refer "Restore Data" step for putting back this backup into original desktop database.

  • Restoring Data

Select a profile from left pane of BlackBerry Address Book Synchronizer. Right click on it and select "Restore Contents..." or from Profile menu/toolbar select "Restore Contents..". You will see dialog as under:

Fig: Backup and Restore Dialog

In left pane of this dialog, you will see the current contents of desktop database. In right pane, you will see the backup contents. There are backup contents of last four syncing. Select appropriate backup from popup list. If you feel that you have lost some of your original data from original desktop database (left pane), select appropriate backup and click on "Restore" button. This will put backup data into original desktop database.


Handheld DBViewerPlus

  • Using BlackBerry AddressBook Synchronizer on BlackBerry

    Run "AddressBook Synchronizer" application on BlackBerry before sending or receiving data using BlackBerry AddressBook Synchronizer application. BlackBerry AddressBook Synchronizer software on BlackBerry must be open while Sending/Receiving data from PC. Once you run "AddressBook Synchronizer" application on BlackBerry, Use "Sync" button available in desktop side AddressBook Synchronizer to send or receive data from the AddressBook.

While synchronization following screen will be display on device. You will have to wait until this screen will be close.

  • Taking Backup of Address Book and Restoring contacts

    After successful installation of "BlackBerry Address Book Synchronizer" on your BlackBerry, as soon as you start "BlackBerry Address Book Synchronizer", You will get registration screen If you registration code use it or ignore registration form by using escape key or enter key. Now you will get dialog which will ask to take the Backup of your AddressBook. Please use "Ok" button to take the backup of your AddressBook. You can restore your AddressBook any time using this backup. You can take the backup of your AddressBook anytime uisng "Backup AddressBook" menu. This Backup message box you will get on every startup of AddressBook Synchronizer application. Enable the checkmark "Do not show this message again", if you do not want this message in future.( Use Space button to enable/disable checkmark).

To restore your original AddressBook, use "Restore AddressBook" menu. When you will use this menu, you will get following dialog which will ask you to "Append current Address Book" or "Overwrite Current AddressBook". If you select "Append current AddressBook", it will append all Backup Contacts to your Current Address Book. If you select "Overwrite current Address Book", it will overwrite your current Address Book with the Backup Contacts.

Message box which ask you for Backup on every startup can be enable/diable from Preferences.

If you try to take the backup again, software will ask to replace previous backup. Software maintains only one copy of backup, so use this option properly. If you would have taken the backup already and want to maintain original contents of AddressBook in backup then do not take the backup again. If you select "Yes" then software will overwrite your previous Backup with current contents of Address Book.

  • Product Registration

    After successful installation of "BlackBerry Address Book Synchronizer", on your BlackBerry, start "BlackBerry Address Book Synchronizer", You will see registration screen something like below: This screen is display only if the product is not register.

  • Evaluation

      In evaluation version you can able to transfer only five records for any one of the following sync type

      Desktop Database Adds BlackBerry Address Book
      Desktop Database Overwrites BlackBerry Address Book
      BlackBerry Address Book Adds Desktop Database
      BlackBerry Address Book Overwrites Desktop Database
      Import BlackBerry Address Book data to desktop as CSV file


FAQs

  • Frequently Asked Questions:

    1. What is Database Synchronization Profile?

"Database Synchronization Profile" is a link between your desktop database and BlackBerry Contacts. It manages, what database to keep in synchronization with BlackBerry.

    2. What is DSN/ODBC Database?

DSN or Data Source Name is a way of Database connectivity through ODBC. BlackBerry Address Book Synchronizer allows you to connect to ODBC database using DSNs available on your machine. You can create/manage DSNs on your machine. For that, Click on Config button in Database Selection dialog or on your machine, click Start->[Settings]->Control Panel->[Administrative Tools]->Data Sources (ODBC)

    3. What are filters and How to Apply filters?

While creating Database Profile, you may want to transfer only selected record contents on BlackBerry Contacts. Here, you can apply filters i.e. condition on record contents to transfer on to BlackBerry. Open Apply Filters dialog, Check mark the filters for those you want. Select database field on which you want to apply filter, select appropriate filter operator and enter the filter condition value. You can apply one or more filters. To apply more than one filter, you must select joining in between two filters i.e. "AND" or "OR".
Remember, you must set proper filter value as per field selection. If you selected numeric field, say ID, then filter value must be numeric, say 35. For character data type filter value must be included in single quotes ('). For date/time fields, filter value must be in #.
If you want, you can manually enter filter condition in SQL query instead of using "Apply Filters" dialog. In SQL query, at the end, put "Where filter conditions" by removing earlier condition, if any.

Here are some examples of filters.

name = 'John'
amount >= 2000
birthdate = #1/1/1978#
time >= #2:10#
birthdate >= '1-jan-1978'

Note: Using # for filter conditions may change depending on which database you are using. MS Access, Excel allows to uses # where as Oracle, SQL Server allows to use single quote (') for date filter values.

SQL Query Example :
Where name='John' and birthdate > #1/1/1978# or EmpID > 15
For Oracle/SQL Server:
Where name='John' and birthdate > '1-jan-1978' or EmpID > 15

    4. What is SQL Query?

SQL Query directs what contents from connected database to synchronize with BlackBerry device. Using "Build Query" dialog user can select tables, fields, filters which is summarized in terms of SQL query, which BlackBerry Address Book Synchronizer uses to fetch data. What ever changes you made on database, tables, fields, filters etc, finally all these will get reflected in SQL query. So, if user has some SQL knowledge, he can directly modify SQL query to get expected data. Use can enter any valid SQL Select query, which may include table joining, filtering, sorting, grouping etc

    5. What are Sync Option?

Sync Options , means the way by which your database contents will transfer. Using "Desktop Database Adds/Overwrites BlackBerry Contacts" your desktop database contents will transfer to BlackBerry Contacts while synchronizing. Using "BlackBerry Contacts Adds/Overwrites Desktop Database", BlackBerry Contacts data contents will flow from BlackBerry to desktop. "Do Nothig " will disable profile from transferring data. At any time, you can switch among these options. For "BlackBerry Contacts Adds/Overwrites Desktop Database" sync option will be allowed for those profiles which have selected only one table and do not having where clause from that table.

    6. What is Field Mapping?

Field mapping is allows you to map the desktop database fields to BlackBerry Contacts Fields. The user has choice, which desktop database field should be transfer to which field of BlackBerry Contacts. According to this field mapping the records will be transfer to BlackBerry Contacts. At the time of field mapping the user should take care of data types. BlackBerry Address Book Synchronizer allows you to map having any data types to any one of the Poket PC Contact fields except BlackBerry contact birth date and Anniversary field.

All the fields of BlackBerry Contacts having char data types. Only birth date and Anniversary field having the 'date' data types. We check date validation. If you try to map the field having different data types than date to these fields then it will give warning messages. You will have to correct this mapping and precede next.

Suggestion:

You will used char data type to all the fields of BlackBerry Contacts except birthdate and anniversary.
For birthdate and anniversary use field having date/time or date data type.

If you map field having other data types, then still ok, but you should consider following situation. If you map the field phoneno of desktop database to phoneno of BlackBerry contacts. and the data type of phoneno field of desktop is LONG, then you should able to transfer maximum of 10-digit phone number only.


Support

  • Supported Data Types

Currently BlackBerry Address Book Synchronizer supports following data types.

  1. Memo, Char
  2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
  3. GUID
  4. Date/Time
  5. AutoNumber of type: Long Integer
  6. Yes/No
  7. Hyperlink
  8. Currency

  • Contact US

You can refer to following email addresses to contact us:

  • Product support

    • support@cellica.com
  • Sales inquiries

    • sales@cellica.com

  • About BlackBerry Address Book Synchronizer